Supported Browsers

Applies to TestComplete 15.61, last modified on February 20, 2024

For test recording

You create (by recording or from scratch) web tests on your local computer (where TestComplete is installed) using one of the following web browsers:

  • Microsoft Edge 83 - 121 (Chromium-based)

    Note: TestComplete does not support the non-Chromium version of Edge.

  • Microsoft Internet Explorer 11 (both 32- and 64-bit versions)

    Note: The Modern UI (Metro) version of Internet Explorer 11 is currently not supported.

  • Google Chrome 121 (both 32- and 64-bit versions)

    If you have a TestComplete version earlier than 12.42, your version of the SmartBear Test Extension will be incompatible with newer versions of the Chrome web browser. To test web applications in Chrome 121, you will have to upgrade your TestComplete to some later version. We recommend using version 15.61.

    If you use a later version of Google Chrome, check whether a patch is available for it.

    Chrome running in Modern UI (Metro) mode is currently not supported.

  • Mozilla Firefox 91 - 115.4.0 ESR, 94 - 116 (both 32- and 64-bit versions)

    Note: Beta versions of Mozilla Firefox may not work with TestComplete. They are not supported and we recommend using a stable release.

    If you use a later version of Firefox, check whether a patch is available for it.

Important: Before you can create tests using these browsers, you have to prepare the browsers for testing:

Preparing Web Browsers

For test playback

In local and remote Windows environments

You can run your web tests in any of the following web browsers:

  • Microsoft Edge 83 - 121 (Chromium-based)

    Note: TestComplete does not support the non-Chromium version of Edge.

  • Microsoft Internet Explorer 11 (both 32- and 64-bit versions)

    Note: The Modern UI (Metro) version of Internet Explorer 11 is currently not supported.

  • Google Chrome 121 (both 32- and 64-bit versions)

    If you have a TestComplete version earlier than 12.42, your version of the SmartBear Test Extension will be incompatible with newer versions of the Chrome web browser. To test web applications in Chrome 121, you will have to upgrade your TestComplete to some later version. We recommend using version 15.61.

    If you use a later version of Google Chrome, check whether a patch is available for it.

    Chrome running in Modern UI (Metro) mode is currently not supported.

  • Mozilla Firefox 91 - 115.4.0 ESR, 94 - 116 (both 32- and 64-bit versions)

    Note: Beta versions of Mozilla Firefox may not work with TestComplete. They are not supported and we recommend using a stable release.

    If you use a later version of Firefox, check whether a patch is available for it.

Note: It does not matter which of the browsers listed above was used for test recording. Web tests you create with TestComplete can be easily switched among web browsers. See Cross-Browser Testing in TestComplete.

In device clouds

Cross-platform web tests you create with TestComplete can run in any web browser that is supported by Selenium WebDriver, for example, Safari, Chrome for mobile and so on.

Which web browsers and which browser versions are available in your tests depends on the device cloud provider you use. For instance, if you use a SmartBear device cloud, you can view the list of supported web browsers on the respective website.

Examples

See Also

Web and RIA Testing

Highlight search results